_csv (Jython API documentation)
Date: 2024-08-18

org.python.modules._csv

## Class _csv

- java.lang.Object
- - org.python.modules._csv._csv

- All Implemented Interfaces:
    ClassDictInit

      public class _csv
      extends java.lang.Object
      implements ClassDictInit

  The Python _csv module. Provides the low-level underpinnings of a CSV reading/writing module. Users should not use this module directly, but import the csv.py module instead.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyString` | `__doc__`
    `static PyString` | `__version__` Module version.
    `static PyDictionary` | `_dialects` Dialect registry.
    `static PyObject` | `Error` _csv.Error exception.
    `static int` | `field_limit` Max parsed field size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_csv()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)`
    `static PyException` | `Error(java.lang.String message)`
    `static PyInteger` | `field_size_limit()`
    `static PyInteger` | `field_size_limit(PyObject new_limit)`
    `static PyObject` | `get_dialect(PyObject name)`
    `static PyObject` | `list_dialects()`
    `static PyObject` | `reader(PyObject[] args, java.lang.String[] keywords)`
    `static void` | `register_dialect(PyObject[] args, java.lang.String[] keywords)`
    `static void` | `unregister_dialect(PyObject name)`
    `static PyObject` | `writer(PyObject[] args, java.lang.String[] keywords)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __doc__

          public static PyString __doc__

    - #### _dialects

          public static PyDictionary _dialects

      Dialect registry.

    - #### field_limit

          public static volatile int field_limit

      Max parsed field size

    - #### Error

          public static final PyObject Error

      _csv.Error exception.

    - #### __version__

          public static PyString __version__

      Module version.

  - ### Constructor Detail

    - #### _csv

          public _csv()

  - ### Method Detail

    - #### Error

          public static PyException Error(java.lang.String message)

    - #### classDictInit

          public static void classDictInit(PyObject dict)

    - #### register_dialect

          public static void register_dialect(PyObject[] args,
                                              java.lang.String[] keywords)

    - #### unregister_dialect

          public static void unregister_dialect(PyObject name)

    - #### get_dialect

          public static PyObject get_dialect(PyObject name)

    - #### list_dialects

          public static PyObject list_dialects()

    - #### reader

          public static PyObject reader(PyObject[] args,
                                        java.lang.String[] keywords)

    - #### writer

          public static PyObject writer(PyObject[] args,
                                        java.lang.String[] keywords)

    - #### field_size_limit

          public static PyInteger field_size_limit()

    - #### field_size_limit

          public static PyInteger field_size_limit(PyObject new_limit)

Jython homepage